Page MenuHomePhabricator

Convert Special:Upload to OOUI
Open, MediumPublic

Description

The core upload form should be converted to OOUI.

The license-selection dropdown looks like it needs to be converted before this can happen. There might also be an issue with the file-selection widget.

This probably needs a feature flag.

Event Timeline

Restricted Application added a project: Multimedia. · View Herald TranscriptJan 7 2019, 12:25 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 482571 had a related patch set uploaded (by Samwilson; owner: Samwilson):
[mediawiki/core@master] Convert Special:Upload to OOUI

https://gerrit.wikimedia.org/r/482571

Samwilson updated the task description. (Show Details)Jan 7 2019, 12:41 AM
Keegan added a subscriber: Keegan.Jan 9 2019, 10:19 PM

Is there a timeframe for pushing the conversion out?

Enough tools and pages have been converted to OOUI that I don't see it being a very big deal but I'd like to inform the Commons community about it. We're moving into a cycle of feature releases for Structured Data, and I'm hesitant for this to be pushed out during those releases due to the confusion it might cause in the community about what changes belong to what project.

Tgr added a subscriber: Tgr.Jan 9 2019, 10:28 PM

The upload form tends to be heavily scripted even on normal wikis, and Commons have their homegrown UploadWizard alternative plus the system of abusing language codes for upload types... so it's definitely a big deal in the sense that it requires a bunch of gadgets to be re-tested, and requires a feature flag exposed as an URL parameter so people can meaningfully test it. I guess that should also alleviate concerns about what comes from where, because you can just check the old UI.

Are there any plans to gather some of the structured data on the upload form (and not in UploadWizard)? If so, I imagine the switch should happen before that.

Are there any plans to gather some of the structured data on the upload form (and not in UploadWizard)? If so, I imagine the switch should happen before that.

The future of Structured Data + Special:Upload isn't going to be resolved any time soon (not in January, for sure).

My feeling is that this ticket should involve adding a feature flag (URL parameter and config var, as was done for preferences) to switch the upload form to OOUI, and not make any other changes. So the licenses field will stay the same (pulling info from MediaWiki:Licenses) and apart from that there's no structure to any of the upload data. As far as a timeframe goes: I have no idea! :)

As for checking that gadgets etc. still work as they should, I think that's going to be the bulk of this work, and might take a lot longer. I imagine it can be a wiki-by-wiki process, and those wikis that feel that it can work can have it enabled when they want. And 3rd party wikis can also use it without trouble.

This ticket I think should just be focused on the changes required in core, and not disrupting the status quo.

The upload form tends to be heavily scripted even on normal wikis, and Commons have their homegrown UploadWizard alternative plus the system of abusing language codes for upload types... so it's definitely a big deal in the sense that it requires a bunch of gadgets to be re-tested, and requires a feature flag exposed as an URL parameter so people can meaningfully test it. I guess that should also alleviate concerns about what comes from where, because you can just check the old UI.

Indeed, thanks for the explanation. I initially misunderstood the implications of the change when Ramsey brought this to my attention. He clarified it for me as well.

My feeling is that this ticket should involve adding a feature flag (URL parameter and config var, as was done for preferences) to switch the upload form to OOUI, and not make any other changes. So the licenses field will stay the same (pulling info from MediaWiki:Licenses) and apart from that there's no structure to any of the upload data. As far as a timeframe goes: I have no idea! :)

As for checking that gadgets etc. still work as they should, I think that's going to be the bulk of this work, and might take a lot longer. I imagine it can be a wiki-by-wiki process, and those wikis that feel that it can work can have it enabled when they want. And 3rd party wikis can also use it without trouble.

This ticket I think should just be focused on the changes required in core, and not disrupting the status quo.

Right.

For the community side, I recommend whoever owns the project submit a support request to our team for assignment. It's definitely going to take some work.

Elitre added a subscriber: Elitre.Jan 10 2019, 1:26 PM
Ramsey-WMF moved this task from Untriaged to Tracking on the Multimedia board.Mar 8 2019, 2:45 AM
Volker_E triaged this task as Medium priority.Mar 24 2019, 12:11 AM

Change 482571 abandoned by Samwilson:
[mediawiki/core@master] Convert Special:Upload to OOUI

Reason:

https://gerrit.wikimedia.org/r/482571